Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Refunds


A follow-on refund is linked to a capture or sale. You must request a follow-on refund within 180 days of the authorization or sale.

When you request a void for a refund or credit before settlement, the refund or credit is voided. If your account is enabled for credit authorizations, the credit authorization is also reversed.

Supported Processors

  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Fiserv RapidConnect
  • Streamline
  • Worldpay VAP

Processor-Specific Information

FDC Nashville Global: Merchant Category Codes: when your business signs up with , assigns your account a merchant category code (MCC) based on your primary business type. sends this MCC to the card networks with every transaction you process. If you process a transaction that is unrelated to your usual goods or services, include the merchantInformation.categoryCode field and set it to the relevant MCC. and FDC Nashville Global do not validate the MCC you send. Using an incorrect MCC can result in increased decline rates, interchange downgrades, or fines. To verify the correct MCC, contact your account manager.

Visa Platform Connect: all supported card types can process follow-on refunds. When your account is enabled for credit authorizations, also known as purchase return authorizations, authenticates the card and customer during a follow-on refund or stand-alone credit request. Every credit request is automatically authorized. Credit authorization results are returned in these response fields:

  • processorInformation.approvalCode
  • processorInformation.networkTransactionId
  • processorInformation.responseCode

Endpoints

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

The {id} is the transaction ID returned in the capture or sale response.

Example

Standard Example

{    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "currency": "EUR"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/credits/6699964581696622603955/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/credits/6699964581696622603955"        }    },    "clientReferenceInformation": {        "code": "1669996458298"    },    "creditAmountDetails": {        "currency": "eur",        "creditAmount": "100.00"    },    "id": "6699964581696622603955",    "orderInformation": {        "amountDetails": {            "currency": "EUR"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "001"        },        "card": {            "type": "001"        }    },    "processorInformation": {        "approvalCode": "888888",        "networkTransactionId": "016153570198200",        "responseCode": "100"    },    "reconciliationId": "61873329OAILG3Q6",    "status": "PENDING",    "submitTimeUtc": "2026-12-02T15:54:18Z"}

Fiserv RapidConnect Example

{    "clientReferenceInformation": {        "code": "123456789012",        "reconciliationId": "000000050000769"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "110",            "currency": "USD"        }    }}
{    "submitTimeUtc": "2026-03-11T16:38:53Z",    "processorInformation": {        "approvalCode": "OK9473",        "responseCodeSource": "4",        "networkTransactionId": "0014239537635196CN",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500033",        "merchantNumber": "RCTST1000107085"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "_links": {        "void": {            "href": "/pts/v2/refunds/7417111335293232235535/voids",            "method": "POST"        },        "self": {            "method": "GET",            "href": "/pts/v2/refunds/7417111335293232235535"        }    },    "clientReferenceInformation": {        "code": "123456789012"    },    "issuerInformation": {        "responseCode": "123"    },    "reconciliationId": "000000050000769",    "pointOfSaleInformation": {        "terminalId": "00000001"    },    "id": "7417111335293232235535",    "status": "COMPLETED"}

Required Fields

Default Required Fields

These fields are required when processing a refund.

FieldDescription
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount—

Processor-Specific Required Fields

These fields are required for specific processors.

FieldDescription
clientReferenceInformation.codeThis field is required for the Fiserv RapidConnect processor.
clientReferenceInformation.reconciliationIdThis field is required for the Fiserv RapidConnect processor.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.